Bug 17421 - gcc SEGV while compiling plotutils-2.4.1
gcc SEGV while compiling plotutils-2.4.1
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jakub Jelinek
Depends On:
  Show dependency treegraph
Reported: 2000-09-12 08:44 EDT by Need Real Name
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-10-09 11:46:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
g_range.i obtained with -save-temps (261.58 KB, text/plain)
2000-09-12 09:18 EDT, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2000-09-12 08:44:44 EDT
i'm using a fresh pinstripe install. While compiling the GNU
plotutils-2.4.1, gcc crashes with:
> cc -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/X11R6/include -I./../include -O2
-c g_range.c -fPIC -DPIC -o .libs/g_range.lo
gcc: Internal error: Segmentation fault (program cc1)

(in plotutil-2.4.1/libplot)

if i change the optimisation option to -O, it doesn't crash. It also
doesn't crash if i remove -fPIC -DPIC.
Comment 1 Jakub Jelinek 2000-09-12 09:00:28 EDT
Can you please run
cc -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/X11R6/include -I./../include -O2 -c g_range.c -fPIC -DPIC -o .libs/g_range.lo -save-temps
and send me g_range.i? It is well possible it got fixed in the meantime, but
I'd like to be sure.
Comment 2 Need Real Name 2000-09-12 09:18:15 EDT
Created attachment 3380 [details]
g_range.i obtained with -save-temps
Comment 3 Jakub Jelinek 2000-10-09 11:46:21 EDT
Fix mailed to gcc-patches for pier review. If it is accepted, it will
appear in the next gcc erratas.
Comment 4 Jakub Jelinek 2000-10-24 04:20:41 EDT
Should be fixed in gcc-2.96-60 in rawhide.

Note You need to log in before you can comment on or make changes to this bug.